My Oracle Support Banner

ネットワークドライブでSQL DEVELOPERをインストールするとエラー:Missing Class: oracle.javatools.db.DBLog (Doc ID 1999500.1)

Last updated on AUGUST 04, 2018

適用範囲:

Oracle SQL Developer - バージョン 1.2 から 4.0 [リリース 1.2 から 4]
この文書の内容はすべてのプラットフォームに適用されます。
***Checked for relevance on 01-Oct-2013***

現象

Oracle SQL Developerをダウンロードして、解凍しアプリケーションを起動すると、下記エラーメッセージが表示されます。

## Error Message ###
oracle.classloader.util.AnnotatedNoClassDefFoundError:

Missing class: oracle.javatools.db.DBLog

Dependent class: oracle.jdeveloper.db.DatabaseConnectionStores
Loader: ide-global:11.1.1.0.0
Code-Source: //Exchange/it/Install/sqldeveloper-2.1.0.63.73/sqldeveloper/jdev/extensions/oracle.jdeveloper.db.connection.jar
Configuration: extension jar in \\Exchange\it\Install\sqldeveloper-2.1.0.63.73\sqldeveloper\jdev\extensions

The missing class is not available from any code-source or loader in the system.
at oracle.classloader.PolicyClassLoader.handleClassNotFound (PolicyClassLoader.java:2180) [//Exchange/it/Install/sqldeveloper-2.1.0.63.73/sqldeveloper/modules/oracle.classloader_11.1.1.jar (from system property java.class.path), by sun.misc.Launcher$AppClassLoader@27355241]
at oracle.classloader.PolicyClassLoader.internalLoadClass (PolicyClassLoader.java:1733) [//Exchange/it/Install/sqldeveloper-2.1.0.63.73/sqldeveloper/modules/oracle.classloader_11.1.1.jar (from system property java.class.path), by sun.misc.Launcher$AppClassLoader@27355241]
at oracle.classloader.PolicyClassLoader.access$000 (PolicyClassLoader.java:143) [//Exchange/it/Install/sqldeveloper-2.1.0.63.73/sqldeveloper/modules/oracle.classloader_11.1.1.jar (from system property java.class.path), by sun.misc.Launcher$AppClassLoader@27355241]
at oracle.classloader.PolicyClassLoader$LoadClassAction.run (PolicyClassLoader.java:331) [//Exchange/it/Install/sqldeveloper-2.1.0.63.73/sqldeveloper/modules/oracle.classloader_11.1.1.jar (from system property java.class.path), by sun.misc.Launcher$AppClassLoader@27355241]
at java.security.AccessController.doPrivileged (Native method) [unknown, by unknown]
at oracle.classloader.PolicyClassLoader.loadClass (PolicyClassLoader.java:1692) [//Exchange/it/Install/sqldeveloper-2.1.0.63.

原因

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.